<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.interfaces.IFeaturesProvider</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.interfaces-module.html">Module&nbsp;interfaces</a> ::
        Class&nbsp;IFeaturesProvider
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class IFeaturesProvider</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.interfaces-pysrc.html#IFeaturesProvider">source&nbsp;code</a></span></p>
<pre class="base-tree">
<a href="zope.interface.Interface-class.html">zope.interface.Interface</a> --+    
                           |    
               <a href="pyxmpp.interfaces.IPyXMPPHelper-class.html">IPyXMPPHelper</a> --+
                               |
                              <strong class="uidshort">IFeaturesProvider</strong>
</pre>

<hr />
<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_features"></a><span class="summary-sig-name">get_features</span>()</span><br />
      Return iterable of namespaces (features) supported, for disco#info
query response.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.interfaces-pysrc.html#IFeaturesProvider.get_features">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.interfaces.IFeaturesProvider-class.html#_InterfaceClass__attrs" class="summary-name" onclick="show_private();">_InterfaceClass__attrs</a> = <code title="{'get_features': &lt;zope.interface.interface.Method object at 0x8732b4c&gt;\
}"><code class="variable-group">{</code><code class="variable-quote">'</code><code class="variable-string">get_features</code><code class="variable-quote">'</code><code class="variable-op">: </code>&lt;zope.interface.inte<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__bases__"></a><span class="summary-name">__bases__</span> = <code title="(&lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;)"><code class="variable-group">(</code>&lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;<code class="variable-group">)</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__identifier__"></a><span class="summary-name">__identifier__</span> = <code title="'pyxmpp.interfaces.IFeaturesProvider'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp.interfaces.IFeaturesProvider</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.interfaces.IFeaturesProvider-class.html#__iro__" class="summary-name">__iro__</a> = <code title="(&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider&gt;,
 &lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;,
 &lt;InterfaceClass zope.interface.Interface&gt;)"><code class="variable-group">(</code>&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__name__"></a><span class="summary-name">__name__</span> = <code title="'IFeaturesProvider'"><code class="variable-quote">'</code><code class="variable-string">IFeaturesProvider</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.interfaces.IFeaturesProvider-class.html#__sro__" class="summary-name">__sro__</a> = <code title="(&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider&gt;,
 &lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;,
 &lt;InterfaceClass zope.interface.Interface&gt;)"><code class="variable-group">(</code>&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.interfaces.IFeaturesProvider-class.html#_implied" class="summary-name" onclick="show_private();">_implied</a> = <code title="{&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider&gt;: (),
 &lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;: (),
 &lt;InterfaceClass zope.interface.Interface&gt;: ()}"><code class="variable-group">{</code>&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvide<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="dependents"></a><span class="summary-name">dependents</span> = <code title="&lt;WeakKeyDictionary at 141765324&gt;">&lt;WeakKeyDictionary at 141765324&gt;</code>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <div class="private">    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="zope.interface.Interface-class.html">zope.interface.Interface</a></code></b> (private):
      <code><a href="zope.interface.Interface-class.html#_Element__tagged_values" onclick="show_private();">_Element__tagged_values</a></code>
      </p></div>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
<a name="section-ClassVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="_InterfaceClass__attrs"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">_InterfaceClass__attrs</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">{</code><code class="variable-quote">'</code><code class="variable-string">get_features</code><code class="variable-quote">'</code><code class="variable-op">: </code>&lt;zope.interface.interface.Method object at 0x8732b4c&gt;<code class="variable-group"></code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-group">}</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="__iro__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">__iro__</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">(</code>&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider&gt;<code class="variable-op">,</code>
 &lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;<code class="variable-op">,</code>
 &lt;InterfaceClass zope.interface.Interface&gt;<code class="variable-group">)</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="__sro__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">__sro__</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">(</code>&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider&gt;<code class="variable-op">,</code>
 &lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;<code class="variable-op">,</code>
 &lt;InterfaceClass zope.interface.Interface&gt;<code class="variable-group">)</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="_implied"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">_implied</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">{</code>&lt;InterfaceClass pyxmpp.interfaces.IFeaturesProvider&gt;<code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-group">)</code><code class="variable-op">,</code>
 &lt;InterfaceClass pyxmpp.interfaces.IPyXMPPHelper&gt;<code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-group">)</code><code class="variable-op">,</code>
 &lt;InterfaceClass zope.interface.Interface&gt;<code class="variable-op">: </code><code class="variable-group">(</code><code class="variable-group">)</code><code class="variable-group">}</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:00 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
